io.vertx.spi.cluster.ignite.util

## Class ConfigHelper

- java.lang.Object
- - io.vertx.spi.cluster.ignite.util.ConfigHelper

-     public class ConfigHelper
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.ignite.configuration.IgniteConfiguration` | `loadConfiguration(URL config)`
    `static InputStream` | `lookupFiles(Class<?> clazz, String... files)`
    `static JsonObject` | `lookupJsonConfiguration(Class<?> clazz, String... files)`
    `static org.apache.ignite.configuration.IgniteConfiguration` | `lookupXmlConfiguration(Class<?> clazz, String... files)`
    `static org.apache.ignite.configuration.IgniteConfiguration` | `toIgniteConfig(Vertx vertx, IgniteOptions options)`
    `static javax.cache.configuration.Factory<SSLContext>` | `toSslContextFactoryConfig(Vertx vertx, IgniteSslOptions options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### loadConfiguration

          public static org.apache.ignite.configuration.IgniteConfiguration loadConfiguration(URL config)

    - #### lookupXmlConfiguration

          public static org.apache.ignite.configuration.IgniteConfiguration lookupXmlConfiguration(Class<?> clazz,
                                                                                                   String... files)

    - #### lookupJsonConfiguration

          public static JsonObject lookupJsonConfiguration(Class<?> clazz,
                                                           String... files)

    - #### lookupFiles

          public static InputStream lookupFiles(Class<?> clazz,
                                                String... files)

    - #### toIgniteConfig

          public static org.apache.ignite.configuration.IgniteConfiguration toIgniteConfig(Vertx vertx,
                                                                                           IgniteOptions options)

    - #### toSslContextFactoryConfig

          public static javax.cache.configuration.Factory<SSLContext> toSslContextFactoryConfig(Vertx vertx,
                                                                                                IgniteSslOptions options)

Copyright © 2025 Eclipse. All rights reserved.